Package Halberd :: Module shell :: Class ClueReaderStrategy

[show private | hide private]
[frames | no frames]

## Class ClueReaderStrategy

    BaseStrategy --+
                   |
                  ClueReaderStrategy

Clue reader strategy.

Works by reading and analyzing files of previously stored clues.

Method Summary
| `__init__(self, scantask)`
| ``execute`(self)` Reads and interprets clues.
Inherited from BaseStrategy
| ``_analyze`(self)` Performs clue analysis.
| ``_scan`(self)` Allocates a work crew of scanners and launches them on the target.

Method Details

### execute(self)

Reads and interprets clues.

  Overrides:
    `Halberd.shell.BaseStrategy.execute`

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net